%define name webcamstudio
%define version 0.43
%define release %mkrel 1

Summary: WebcamStudio - Creates your own webcam TV Studio
Name:	 %{name}
Version: %{version}
Release: %{release}
URL:	 http://sourceforge.net/projects/webcamstudio/
Source0:  WebcamStudio_%{version}.tar.gz
Source1: %{name}.png

License: GPL
Group:   Video
BuildRoot: %{_tmppath}/%{version}-%{release}-buildroot
Requires: java => 1.6
Requires: gksu
Requires: gstreamer0.10-plugins-base
Requires: gstreamer0.10-plugins-good
Requires: gstreamer0.10-plugins-ugly
Requires: dkms-vloopback

%description
Create your own TV Studio with your webcam to broadcast over the internet.
Compatible with flash sites.

%prep
%setup -q -n %{name}

%build

%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 %{buildroot}%{_libdir}/%{name}
cp -a lib *.jar %{buildroot}%{_libdir}/%{name}

install -dm 755 %{buildroot}%{_datadir}/%{name}
cp -a microphone %{buildroot}%{_datadir}/%{name}

#launcher
install -dm 755 %{buildroot}%_bindir/
cat > %buildroot%{_bindir}/%{name} <<EOF
#!/bin/bash
# WebcamStudio for GNU/Linux Launcher
# Patrick Balleux 2008
# Version 0.38a

if [ -f /usr/bin/padsp ]; then
    padsp java -jar %{_libdir}/%{name}/WebcamStudio.jar;
else
    java -jar %{_libdir}/%{name}/WebcamStudio.jar;
fi
EOF

# menu-entry
mkdir -p %buildroot%{_datadir}/applications/
cat > %buildroot%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Name=WebcamStudio
Comment=WebcamStudio for GNU/Linux
Exec=%{name}
Icon=%{name}
StartupNotify=true
Terminal=false
Type=Application
Categories=AudioVideo;X-MandrivaLinux-Multimedia-Video;
EOF

# icon
install -dm 755 %{buildroot}%{_datadir}/pixmaps
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc README.TXT
%attr(755,root,root)%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Thu Jun 18 2009 Dal Magro Maurizio <mauriziodm@mandrivaclub.be>
- New version 0.43 Build for Mandriva 2009.1

* Wed Apr 29 2009 Dal Magro Maurizio <mauriziodm@mandrivaclub.be>
- Build for Mandriva 2009.1

* Thu Apr 14 2009 Maurizio Dal Magro <mauriziodm@mandirvaclub.be>
- First build
